## DELETE /v2.0/extensions/{extensionId}

### Try it

**Delete an Extension**

**cURL**

curl --request DELETE \  
      --url https://api-trial.cognigy.ai/new/v2.0/extensions/{extensionId} \  
      --header 'X-API-Key: <api-key>'

**Python**

import requests
    
    url = "https://api-trial.cognigy.ai/new/v2.0/extensions/{extensionId}"
    
    headers = {"X-API-Key": "<api-key>"}
    
    response = requests.delete(url, headers=headers)
    
    print(response.text)

**JavaScript**

const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
    
    fetch('https://api-trial.cognigy.ai/new/v2.0/extensions/{extensionId}', options)
      .then(res => res.json())
      .then(res => console.log(res))
      .catch(err => console.error(err));

**PHP**

<?php
    
    $curl = curl_init();
    
    curl_setopt_array($curl, [
      CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/extensions/{extensionId}",
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_ENCODING => "",
      CURLOPT_MAXREDIRS => 10,
      CURLOPT_TIMEOUT => 30,
      CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
      CURLOPT_CUSTOMREQUEST => "DELETE",
      CURLOPT_HTTPHEADER => [
        "X-API-Key: <api-key>"
      ],
    ]);
    
    $response = curl_exec($curl);
    $err = curl_error($curl);
    
    curl_close($curl);
    
    if ($err) {
      echo "cURL Error #:" . $err;
    } else {
      echo $response;
    }
    ?>

**Go**

package main
    
    import (
	"fmt"
	"net/http"
	"io"
    )
    
    func main() {
    
	url := "https://api-trial.cognigy.ai/new/v2.0/extensions/{extensionId}"
    
	req, _ := http.NewRequest("DELETE", url, nil)
    
	req.Header.Add("X-API-Key", "<api-key>")
    
	res, _ := http.DefaultClient.Do(req)
    
	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)
    
	fmt.Println(string(body))
    
    }

### Error Responses

- `400`: Bad Request 
- `401`: Unauthorized 
- `402`: Payment Required 
- `403`: Forbidden 
- `404`: Not Found 
- `405`: Method Not Allowed 
- `409`: Conflict 
- `413`: Payload Too Large 
- `500`: Internal Server Error 
- `501`: Not Implemented 
- `502`: Bad Gateway 
- `503`: Service Unavailable 
- `504`: Gateway Timeout

### Authorizations

- **API Key**
  - **Parameter**: `X-API-Key`
  - **Location**: `header`
  - **Description**: Supply the API Key in the HTTP-Header.

### Headers

- **Accept**  
    - The `Accept` header specifies the media type that the client expects in the response. Available options:  
      - `application/json`  
      - `application/hal+json`  
      - `application/xml`  
      - `text/xml`  
      - `text/csv`

### Path Parameters

- **extensionId**  
    - Type: `string`
    - Required: `true`
    - Description: The Id of the Extension (Length: `24`, Pattern: `^[a-z0-9]{24}$`).

### Response

- **202**: The Extension was deleted successfully.
